Subject: Re: Document use of ldapurl with LDAP simple bind

From: Peter Eisentraut <[email-masked]>
Date: Tue, 23 Jul 2024 10:37:36 +0200

On 08.07.24 23:27, Jacob Champion wrote:
> On Fri, Jun 28, 2024 at 12:11 AM Peter Eisentraut <[email-masked]> wrote:
>> This appears to imply that specifying ldapurl is only applicable for
>> search+bind.  Maybe that whole message should be simplified to something
>> like
>>
>> "configuration mixes arguments for simple bind and search+bind"
>>
>> (The old wording also ignores that the error might arise via "ldapsuffix".)
> 
> I kept the imperative "cannot" and tried to match the terminology with
> our documentation at [1]:
> 
>      cannot mix options for simple bind and search+bind modes

Committed.

(I suppose this could be considered a bug fix, but I don't feel an 
urgency to go backpatching this.  Let me know if there are different 
opinions.)